/*
 * StringFeatures.h
 *
 *  Created on: Jun 19, 2014
 *      Author: Jan Travnicek
 */

#ifndef STRING_FEATURES_H_
#define STRING_FEATURES_H_

#include <alphabet/Symbol.h>

namespace string {

enum class FEATURES {
	LINEAR,
	CYCLIC,
	EPSILON
};

class String;
class StringBase;

template < class SymbolType = alphabet::Symbol >
class Epsilon;
template < class SymbolType = alphabet::Symbol >
class LinearString;
template < class SymbolType = alphabet::Symbol >
class CyclicString;
class LinearStringTerminatingSymbol;

} /* namespace string */

#endif /* STRING_FEATURES_H_ */
